play.server

## Class FlashPolicyHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - play.server.FlashPolicyHandler

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler, org.jboss.netty.channel.LifeCycleAwareChannelHandler

      public class FlashPolicyHandler
      extends org.jboss.netty.handler.codec.frame.FrameDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `cumulation, DEFAULT_MAX_COMPOSITEBUFFER_COMPONENTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlashPolicyHandler()` Creates a handler allowing access from any domain and any port
    `FlashPolicyHandler(org.jboss.netty.buffer.ChannelBuffer policyResponse)` Create a handler with a custom XML response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `decode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, org.jboss.netty.buffer.ChannelBuffer buffer)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `actualReadableBytes, afterAdd, afterRemove, appendToCumulation, beforeAdd, beforeRemove, channelClosed, channelDisconnected, cleanup, decodeLast, exceptionCaught, extractFrame, getMaxCumulationBufferCapacity, getMaxCumulationBufferComponents, internalBuffer, isUnfold, messageReceived, newCumulationBuffer, replace, setMaxCumulationBufferCapacity, setMaxCumulationBufferComponents, setUnfold, unfoldAndFireMessageReceived, updateCumulation`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlashPolicyHandler

          public FlashPolicyHandler()

      Creates a handler allowing access from any domain and any port

    - #### FlashPolicyHandler

          public FlashPolicyHandler(org.jboss.netty.buffer.ChannelBuffer policyResponse)

      Create a handler with a custom XML response. Useful for defining your own domains and ports.
      Parameters:
        `policyResponse` - Response XML to be passed back to a connecting client

  - ### Method Detail

    - #### decode

          protected java.lang.Object decode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                            org.jboss.netty.channel.Channel channel,
                                            org.jboss.netty.buffer.ChannelBuffer buffer)
                                     throws java.lang.Exception

      Specified by:
        `decode` in class `org.jboss.netty.handler.codec.frame.FrameDecoder`
      Throws:
        `java.lang.Exception`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly